/* Note: short & long is VAX/x86 order (wrong) */

typedef unsigned char UBYTE;
typedef unsigned short UWORD;
typedef unsigned long ULONG;
typedef struct p_point
{
  UWORD x, y;
} P_POINT;

#define PIC_MAGIC "PIC\334"

struct P_FSIG
{
     UBYTE id[4];    /* 'PIC\xdc' */
     UBYTE file_ver; /* 0x30 */
     UBYTE app_ver;  /* 0x30 */
     UWORD count;    /* number of bitmaps in file */
};

struct WS_PIC_HEADER
{
     UWORD   crc;       /* crc16 of data (ex header) */
     P_POINT size;      /* UWORD x, UWORD y, I think */
     UWORD   byte_size; /* size of bitmap data */
     ULONG   offset;    /* offset of bitmap data in file */
};
